Package twisted :: Package internet :: Module interfaces :: Class IProcessTransport

[show private | hide private]
[frames | no frames]

## Class IProcessTransport

    Interface --+
                |
       ITransport --+
                    |
                   IProcessTransport

A process transport.

Method Summary
| ``closeStderr`(self)` Close stderr.
| ``closeStdin`(self)` Close stdin after all data has been written out.
| ``closeStdout`(self)` Close stdout.
| ``getHost`(self)` Similar to getPeer, but returns a tuple describing this side of the connection. (inherited from `ITransport`)
| ``getPeer`(self)` Return a tuple of (TYPE, ...). (inherited from `ITransport`)
| ``loseConnection`(self)` Close stdin, stderr and stdout.
| ``signalProcess`(self, signalID)` Send a signal to the process.
| ``write`(self, data)` Write some data to the physical connection, in sequence. (inherited from `ITransport`)
| ``writeSequence`(self, data)` Write a list of strings to the physical connection. (inherited from `ITransport`)

Method Details

### closeStderr(self)

Close stderr.

### closeStdin(self)

Close stdin after all data has been written out.

### closeStdout(self)

Close stdout.

### loseConnection(self)

Close stdin, stderr and stdout.

### signalProcess(self, signalID)

    Send a signal to the process.  signalID can
    be:

    * one of "HUP", "KILL", "STOP", or "INT".
        These will be implemented in a
        cross-platform manner, and so should be used
        if possible.
    * an integer, where it represents a POSIX
        signal ID.

Generated by Epydoc 1.1 on Sat Feb 15 21:19:04 2003 | http://epydoc.sf.net